summaryrefslogtreecommitdiffstats
path: root/debian/apt.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:00:48 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:00:48 +0000
commit3d8888c70266f612d1f427a112cc1e2155c19584 (patch)
tree3f799cdc23480c7afe9c5ff6632b545da1f17dec /debian/apt.postinst
parentAdding upstream version 2.6.1. (diff)
downloadapt-3d8888c70266f612d1f427a112cc1e2155c19584.tar.xz
apt-3d8888c70266f612d1f427a112cc1e2155c19584.zip
Adding debian version 2.6.1.debian/2.6.1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/apt.postinst')
-rwxr-xr-xdebian/apt.postinst15
1 files changed, 15 insertions, 0 deletions
diff --git a/debian/apt.postinst b/debian/apt.postinst
new file mode 100755
index 0000000..54a0770
--- /dev/null
+++ b/debian/apt.postinst
@@ -0,0 +1,15 @@
+#! /bin/sh
+set -e
+
+if [ "$1" = 'configure' ] && [ -z "$DPKG_ROOT" ] && ! getent passwd _apt >/dev/null; then
+ # add unprivileged user for the apt methods
+ adduser --force-badname --system --home /nonexistent \
+ --no-create-home --quiet _apt || true
+fi
+
+if [ "$1" = "configure" ] && [ -n "$2" ] && dpkg --compare-versions -- "$2" le-nl "2.4.5~"; then
+ rm -f /etc/apt/apt.conf.d/01autoremove-kernels
+fi
+
+
+#DEBHELPER#